Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.wss.capabilities
Class WSSCapabilitiesDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.owscommon.OWSCommonCapabilitiesDocument
                      org.deegree.ogcwebservices.wass.common.OWSCapabilitiesBaseDocument_1_0
                          org.deegree.ogcwebservices.wass.wss.capabilities.WSSCapabilitiesDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WSSConfigurationDocument

    public class WSSCapabilitiesDocument

extends OWSCapabilitiesBaseDocument_1_0

A `WSSCapabilitiesDocument` class can parse xml-based requests. The gdi-nrw access control specification 1.0 defines xml-elements of type owscommon 1.0 hence this class base class is OWSCapabilitiesBaseDocument_1_0. For creating an empty response document a XML-Response-Template is located under WSSCapablitiesTemplate.xml .

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`static String` | `XML_TEMPLATE` This is the XML template used for the GetCapabilities response document.

Fields inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`ALL_NAME, CONTENTS_NAME, OGCNS, OPERATIONS_METADATA_NAME, OWSNS, SERVICE_IDENTIFICATION_NAME, SERVICE_PROVIDER_NAME`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WSSCapabilitiesDocument()`

Method Summary
`void` | `createEmptyDocument()`
`OGCCapabilities` | `parseCapabilities()` Creates a class representation of the document.
`String` | `parseSecuredServiceType()`

Methods inherited from class org.deegree.ogcwebservices.wass.common.OWSCapabilitiesBaseDocument_1_0
`createEmptyDocument, parseOperation, parseOperationsMetadata, parseServiceIdentification, parseServiceProvider, parseSupportedAuthenticationMethods`

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`getCodeType, getContraints, getDCP, getDCPs, getKeywords, getKeywords, getOperation, getOWSDomainType, getServiceIdentification, getServiceProvider, getWGS84BoundingBoxType`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XML_TEMPLATE

    public static final String XML_TEMPLATE

  This is the XML template used for the GetCapabilities response document.

  See Also:
    Constant Field Values

Constructor Detail

### WSSCapabilitiesDocument

    public WSSCapabilitiesDocument()

Method Detail

### parseCapabilities

    public OGCCapabilities parseCapabilities()
                                      throws InvalidCapabilitiesException

  Description copied from class: `OGCCapabilitiesDocument`
  Creates a class representation of the document.

  Specified by:
    `parseCapabilities` in class `OGCCapabilitiesDocument`
  Returns:
    class representation of the document
  Throws:
    `InvalidCapabilitiesException`

### parseSecuredServiceType

    public String parseSecuredServiceType()
                                   throws XMLParsingException

  Returns:
    the secured service as String
  Throws:
    `XMLParsingException`

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  Throws:
    `SAXException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org